<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright (C) 2020 ELIXIR ES, Spanish National Bioinformatics Institute (INB)
  ~ and Barcelona Supercomputing Center (BSC)
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>es.bsc.inb.elixir</groupId>
    <artifactId>tools-ecosystem-web</artifactId>
    <version>0.0.1</version>
    <packaging>war</packaging>

    <name>Tools Ecosystem Web</name>
    
    <developers>
        <developer>
          <id>redmitry</id>
          <name>Dmitry Repchevsky</name>
          <email>redmitry@list.ru</email>
        </developer>
    </developers>

    <properties>
        <maven.compiler.source>11</maven.compiler.source>
        <maven.compiler.target>11</maven.compiler.target>
    </properties>
    
    <dependencies>
        <dependency>
            <groupId>javax</groupId>
            <artifactId>javaee-web-api</artifactId>
            <version>8.0</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>javax.enterprise.concurrent</groupId>
            <artifactId>javax.enterprise.concurrent-api</artifactId>
            <version>1.0</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>org.primefaces</groupId>
            <artifactId>primefaces</artifactId>
            <version>10.0.0</version>
        </dependency>

        <dependency>
            <groupId>org.eclipse.jgit</groupId>
            <artifactId>org.eclipse.jgit</artifactId>
            <version>5.3.0-NIO-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>com.google.jimfs</groupId>
            <artifactId>jimfs</artifactId>
            <version>1.3.0</version>
        </dependency>

    </dependencies>

    <repositories>
        <repository>
            <id>biotools-schema-model</id>
            <url>https://gitlab.bsc.es/inb/maven/raw/master</url>
        </repository>
    </repositories>

</project>
